org.keycloak.representations.info

## Class MemoryInfoRepresentation

- java.lang.Object
- - org.keycloak.representations.info.MemoryInfoRepresentation

-     public class MemoryInfoRepresentation
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `free`
    `protected String` | `freeFormated`
    `protected long` | `freePercentage`
    `protected long` | `total`
    `protected String` | `totalFormated`
    `protected long` | `used`
    `protected String` | `usedFormated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryInfoRepresentation()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MemoryInfoRepresentation` | `create()`
    `long` | `getFree()`
    `String` | `getFreeFormated()`
    `long` | `getFreePercentage()`
    `long` | `getTotal()`
    `String` | `getTotalFormated()`
    `long` | `getUsed()`
    `String` | `getUsedFormated()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### total

          protected long total

    - #### totalFormated

          protected String totalFormated

    - #### used

          protected long used

    - #### usedFormated

          protected String usedFormated

    - #### free

          protected long free

    - #### freePercentage

          protected long freePercentage

    - #### freeFormated

          protected String freeFormated

  - ### Constructor Detail

    - #### MemoryInfoRepresentation

          public MemoryInfoRepresentation()

  - ### Method Detail

    - #### create

          public static MemoryInfoRepresentation create()

    - #### getTotal

          public long getTotal()

    - #### getTotalFormated

          public String getTotalFormated()

    - #### getFree

          public long getFree()

    - #### getFreeFormated

          public String getFreeFormated()

    - #### getUsed

          public long getUsed()

    - #### getUsedFormated

          public String getUsedFormated()

    - #### getFreePercentage

          public long getFreePercentage()

Copyright © 2016 JBoss by Red Hat. All rights reserved.